<?xml version="1.0" encoding="UTF-8"?>

<!--
 *
 * This help file was generated from sudoku_writesdk.sci using help_from_sci().
 *
 -->

<refentry version="5.0-subset Scilab" xml:id="sudoku_writesdk" xml:lang="en"
          xmlns="http://docbook.org/ns/docbook"
          xmlns:xlink="http://www.w3.org/1999/xlink"
          xmlns:svg="http://www.w3.org/2000/svg"
          xmlns:ns3="http://www.w3.org/1999/xhtml"
          xmlns:mml="http://www.w3.org/1998/Math/MathML"
          xmlns:db="http://docbook.org/ns/docbook">


  <refnamediv>
    <refname>sudoku_writesdk</refname><refpurpose>Returns the given sudoku as a sdk string.</refpurpose>
  </refnamediv>



<refsynopsisdiv>
   <title>Calling Sequence</title>
   <synopsis>
   str = sudoku_writesdk ( X )
   str = sudoku_writesdk ( X , filename )
   
   </synopsis>
</refsynopsisdiv>

<refsection>
   <title>Parameters</title>
   <variablelist>
   <varlistentry><term>X:</term>
      <listitem><para> a 9-by-9 matrix, with 0 for unknown entries</para></listitem></varlistentry>
   <varlistentry><term>filename, optional:</term>
      <listitem><para> a string representing a file</para></listitem></varlistentry>
   <varlistentry><term>str:</term>
      <listitem><para> a 9-by-1 matrix of strings, with dots "." for unknowns. The entries come row by row.</para></listitem></varlistentry>
   </variablelist>
</refsection>

<refsection>
   <title>Description</title>
   <para>
Converts a sudoku in matrix form into a sdk string, where "." represents unknowns.
If the input argument filename is present, also writes the string
into the file.
   </para>
   <para>
</para>
</refsection>

<refsection>
   <title>Examples</title>
   <programlisting role="example"><![CDATA[
X = [
0 0 0   0 0 0   0 0 0
0 0 0   0 0 0   5 3 0
9 0 0   0 3 7   0 0 0
0 0 2   3 0 1   0 9 6
0 4 7   6 9 0   1 8 0
0 0 6   7 8 5   0 0 0
0 5 0   0 2 0   9 0 3
0 3 0   9 0 0   6 0 8
8 0 0   0 1 0   4 7 0
]
str = sudoku_writesdk ( X )
// Write into a file:
filename = fullfile(TMPDIR,"foo.sdk");
sudoku_writesdk ( X , filename );
editor(filename)

   ]]></programlisting>
</refsection>

<refsection>
   <title>See also</title>
   <simplelist type="inline">
   <member><link linkend="sudoku_readsdk">sudoku_readsdk</link></member>
   <member><link linkend="sudoku_readsdm">sudoku_readsdm</link></member>
   <member><link linkend="sudoku_readsdmnb">sudoku_readsdmnb</link></member>
   <member><link linkend="sudoku_readgivens">sudoku_readgivens</link></member>
   <member><link linkend="sudoku_readss">sudoku_readss</link></member>
   <member><link linkend="sudoku_writesdk">sudoku_writesdk</link></member>
   <member><link linkend="sudoku_writegivens">sudoku_writegivens</link></member>
   <member><link linkend="sudoku_writess">sudoku_writess</link></member>
   </simplelist>
</refsection>

<refsection>
   <title>Authors</title>
   <simplelist type="vert">
   <member>Michael Baudin, 2010-2011</member>
   </simplelist>
</refsection>

<refsection>
   <title>Bibliography</title>
   <para>http://www.sudocue.net/fileformats.php</para>
</refsection>
</refentry>
